Page MenuHomePhabricator

Set $wgCentralAuthPreventUnattached = true; on all wikis
Closed, ResolvedPublic

Description

Introduced in Ic24c334c68e154cb1c39d8eac6d0da431087f49b.

Will prevent the creation of any new unattached accounts.


Version: unspecified
Severity: normal

Details

Reference
bz68069

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:34 AM
bzimport set Reference to bz68069.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Jul 15 2014, 8:55 PM

Can only be done after bug 35707 is fixed, or we'll partially lock out some users from their usernames.

(In reply to Nemo from comment #1)

Can only be done after bug 35707 is fixed, or we'll partially lock out some
users from their usernames.

Er, no? It just prevents the creation of new accounts. Won't affect any existing ones.

Er, no? It just prevents the creation of new accounts. Won't affect any
existing ones.

I said username on purpose. See original discussion at https://gerrit.wikimedia.org/r/#/c/16922/

At some point we'll have to disallow them, so that while we're running the finalization, we don't have new, unattached accounts being created.

I'll let Dan comment on what he thinks a reasonable timeline for that would be.

Also, there is a work around between enabling this flag and finalization, since a local bureaucrat can rename a user to a conflicting name. So worst case, the user can use another name to register, and then have their account renamed.

As mentioned on bug 69291 comment 2, an alternative having the same effect for existing accounts is to run migrateAccount.php --auto, which would create a global account for any local account with the usual rules.

The script wouldn't do anything about the accounts left unattached, but would make the users automatically merge the unattached accounts they own upon login (as we have $wgCentralAuthAutoMigrate set to true). A less disruptive enhancement which would handle only those cases and not bother anyone is proposed at bug 70392.

gerritbot added a subscriber: gerritbot.

Change 190634 had a related patch set uploaded (by Hoo man):
Set $wgCentralAuthPreventUnattached = true; on all wikis

https://gerrit.wikimedia.org/r/190634

Patch-For-Review

Change 190634 merged by jenkins-bot:
Set $wgCentralAuthPreventUnattached = true; on all wikis

https://gerrit.wikimedia.org/r/190634

Keegan closed this task as Resolved.Feb 17 2015, 5:19 PM
Keegan claimed this task.

This really needs to be notified in some way. We could also temporarily modify the error message shown upon such account creation attempts, to encourage the user to unify their accounts on their home wiki if they can.

I am sending an email out to wikitech-ambassadors, and it will get put into tech news as well. I like the idea of temporarily modifying the error message, that's worth looking into doing.

Ricordisamoa set Security to None.
Ricordisamoa added a subscriber: Ricordisamoa.